Condens API
For accounts with EU server location. If you’re unsure which server your account uses, check the API & MCP-Server settings page in Condens to view the assigned base URL.
List workspaces
Query Parameters
- Type:pagemin:1
Page number (starting at 1).
- Type:page
Size min:1max:100Number of items per page.
- Type: stringsort
Sort items by name or information field value.
Sort order: prefix with '-' for descending, omit for ascending.
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
curl 'https://api.condens.io/v1/workspaces?page=1&pageSize=100&sort=name' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"page": 1,
"pageSize": 100,
"total": 0,
"totalPages": 0,
"hasNext": true,
"items": [
{
"id": "string",
"name": "string",
"updatedAt": "2026-10-01T12:28:47.989Z"
}
]
}Workspaces page
Get a workspace
Path Parameters
- Type: stringidrequired
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
curl 'https://api.condens.io/v1/workspaces/{id}' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"id": "string",
"name": "string",
"updatedAt": "2026-10-01T12:28:47.989Z"
}Workspace
List users
Query Parameters
- Type: stringworkspace
Id - Type:pagemin:1
Page number (starting at 1).
- Type:page
Size min:1max:100Number of items per page.
- Type: stringsort
Sort items by name or information field value.
Sort order: prefix with '-' for descending, omit for ascending.
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
curl 'https://api.condens.io/v1/users?page=1&pageSize=100&sort=name' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"page": 1,
"pageSize": 100,
"total": 0,
"totalPages": 0,
"hasNext": true,
"items": [
{
"id": "string",
"name": "string",
"email": "hello@example.com",
"role": "administrator",
"active": true,
"updatedAt": "2026-10-01T12:28:47.989Z"
}
]
}Users page
Get a user
Path Parameters
- Type: stringidrequired
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
curl 'https://api.condens.io/v1/users/{id}' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"id": "string",
"name": "string",
"email": "hello@example.com",
"role": "administrator",
"workspaceIds": [
"string"
],
"active": true,
"updatedAt": "2026-10-01T12:28:47.989Z"
}User
List participants
Query Parameters
- Type: stringworkspace
Id - Type:pagemin:1
Page number (starting at 1).
- Type:page
Size min:1max:100Number of items per page.
- Type: stringfilter
JSON-encoded filter object
- Type: stringsort
Sort items by name or information field value.
Sort order: prefix with '-' for descending, omit for ascending.
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
curl 'https://api.condens.io/v1/participants?page=1&pageSize=100&sort=name' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"page": 1,
"pageSize": 100,
"total": 0,
"totalPages": 0,
"hasNext": true,
"items": [
{
"id": "string",
"name": "",
"workspaceId": "string",
"informationFields": [
{
"fieldName": "string",
"fieldType": "text",
"value": "string"
}
],
"updatedAt": "2026-10-01T12:28:47.989Z"
}
]
}Participants page
Create a participant
Body·
- Type: stringnamerequired
- Properties: 3Type: { sourceUrl, name, sourceAuth }attachments
- Type:information
Fields - Type: stringworkspace
Id
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
curl https://api.condens.io/v1/participants \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"workspaceId": "",
"name": "",
"informationFields": [
{
"fieldName": "",
"fieldType": "text",
"value": ""
}
],
"attachments": [
{
"sourceUrl": "",
"sourceAuth": {
"type": "bearer",
"token": ""
},
"name": ""
}
]
}'
{
"id": "string",
"name": "",
"workspaceId": "string",
"informationFields": [
{
"fieldName": "string",
"fieldType": "text",
"value": "string"
}
],
"attachments": [
{
"name": "string"
}
],
"updatedAt": "2026-10-01T12:28:47.989Z",
"failedUploadUrls": [
"https://example.com"
]
}Created participant
Get a participant
Path Parameters
- Type: stringidrequired
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
curl 'https://api.condens.io/v1/participants/{id}' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"id": "string",
"name": "",
"workspaceId": "string",
"informationFields": [
{
"fieldName": "string",
"fieldType": "text",
"value": "string"
}
],
"attachments": [
{
"name": "string"
}
],
"updatedAt": "2026-10-01T12:28:47.989Z",
"failedUploadUrls": [
"https://example.com"
]
}Participant
Update a participant
Path Parameters
- Type: stringidrequired
Body·
- Properties: 3Type: { sourceUrl, name, sourceAuth }attachments
- Type:information
Fields - Type: stringname
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
curl 'https://api.condens.io/v1/participants/{id}' \
--request PATCH \
--header 'Content-Type: application/merge-patch+json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"name": "",
"informationFields": [
{
"fieldName": "",
"fieldType": "text",
"value": ""
}
],
"attachments": [
{
"sourceUrl": "",
"sourceAuth": {
"type": "bearer",
"token": ""
},
"name": ""
}
]
}'
{
"id": "string",
"name": "",
"workspaceId": "string",
"informationFields": [
{
"fieldName": "string",
"fieldType": "text",
"value": "string"
}
],
"attachments": [
{
"name": "string"
}
],
"updatedAt": "2026-10-01T12:28:47.989Z",
"failedUploadUrls": [
"https://example.com"
]
}Updated participant
Delete a Participant
Deleted items can be restored from the trash in the Condens app for up to 30 days.
Path Parameters
- Type: stringidrequired
Responses
- 204
Deleted
- application/json
- application/json
- application/json
- application/json
- application/json
curl 'https://api.condens.io/v1/participants/{id}' \
--request DELETE \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
Deleted
List projects
Query Parameters
- Type: stringproject
Folder Id - Type: stringworkspace
Id - Type:pagemin:1
Page number (starting at 1).
- Type:page
Size min:1max:100Number of items per page.
- Type: stringfilter
JSON-encoded filter object
- Type: stringsort
Sort items by name or information field value.
Sort order: prefix with '-' for descending, omit for ascending.
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
curl 'https://api.condens.io/v1/projects?page=1&pageSize=100&sort=name' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"page": 1,
"pageSize": 100,
"total": 0,
"totalPages": 0,
"hasNext": true,
"items": [
{
"id": "string",
"name": "",
"projectFolderId": "string",
"workspaceId": "string",
"informationFields": [
{
"fieldName": "string",
"fieldType": "text",
"value": "string"
}
],
"updatedAt": "2026-10-01T12:28:47.989Z"
}
]
}Projects page
Create a project
Body·
- Type: stringnamerequired
- Type:information
Fields - Type: array of stringinvolved
Contributor Ids - Type: stringproject
Folder Id - Type: stringworkspace
Id
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
curl https://api.condens.io/v1/projects \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"name": "",
"projectFolderId": "",
"workspaceId": "",
"involvedContributorIds": [],
"informationFields": [
{
"fieldName": "",
"fieldType": "text",
"value": ""
}
]
}'
{
"id": "string",
"name": "",
"projectFolderId": null,
"workspaceId": "string",
"involvedContributorIds": [],
"informationFields": [
{
"fieldName": "string",
"fieldType": "text",
"value": "string"
}
],
"updatedAt": "2026-10-01T12:28:47.989Z"
}Created project
Get a project
Path Parameters
- Type: stringidrequired
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
curl 'https://api.condens.io/v1/projects/{id}' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"id": "string",
"name": "",
"projectFolderId": null,
"workspaceId": "string",
"involvedContributorIds": [],
"informationFields": [
{
"fieldName": "string",
"fieldType": "text",
"value": "string"
}
],
"updatedAt": "2026-10-01T12:28:47.989Z"
}Project
Update a project
Path Parameters
- Type: stringidrequired
Body·
- Type:information
Fields - Type: array of stringinvolved
Contributor Ids - Type: stringname
- Type: stringproject
Folder Id
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
curl 'https://api.condens.io/v1/projects/{id}' \
--request PATCH \
--header 'Content-Type: application/merge-patch+json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"name": "",
"projectFolderId": "",
"involvedContributorIds": [
""
],
"informationFields": [
{
"fieldName": "",
"fieldType": "text",
"value": ""
}
]
}'
{
"id": "string",
"name": "",
"projectFolderId": null,
"workspaceId": "string",
"involvedContributorIds": [],
"informationFields": [
{
"fieldName": "string",
"fieldType": "text",
"value": "string"
}
],
"updatedAt": "2026-10-01T12:28:47.989Z"
}Updated project
Delete a project
Deleted items can be restored from the trash in the Condens app for up to 30 days.
Path Parameters
- Type: stringidrequired
Responses
- 204
Deleted
- application/json
- application/json
- application/json
- application/json
- application/json
curl 'https://api.condens.io/v1/projects/{id}' \
--request DELETE \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
Deleted
List project folders
Query Parameters
- Type: stringworkspace
Id - Type:pagemin:1
Page number (starting at 1).
- Type:page
Size min:1max:100Number of items per page.
- Type: stringsort
Sort items by name or information field value.
Sort order: prefix with '-' for descending, omit for ascending.
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
curl 'https://api.condens.io/v1/projectFolders?page=1&pageSize=100&sort=name' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"page": 1,
"pageSize": 100,
"total": 0,
"totalPages": 0,
"hasNext": true,
"items": [
{
"id": "string",
"workspaceId": "string",
"name": "",
"updatedAt": "2026-10-01T12:28:47.989Z"
}
]
}Project folders page
Create a project folder
Body·
- Type: stringnamerequired
- Type: stringworkspace
Id
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
curl https://api.condens.io/v1/projectFolders \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"workspaceId": "",
"name": ""
}'
{
"id": "string",
"workspaceId": "string",
"name": "",
"updatedAt": "2026-10-01T12:28:47.989Z"
}Created project folder
Get a project folder
Path Parameters
- Type: stringidrequired
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
curl 'https://api.condens.io/v1/projectFolders/{id}' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"id": "string",
"workspaceId": "string",
"name": "",
"updatedAt": "2026-10-01T12:28:47.989Z"
}Project folder
Update a project folder
Path Parameters
- Type: stringidrequired
Body·
- Type: stringname
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
curl 'https://api.condens.io/v1/projectFolders/{id}' \
--request PATCH \
--header 'Content-Type: application/merge-patch+json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"name": ""
}'
{
"id": "string",
"workspaceId": "string",
"name": "",
"updatedAt": "2026-10-01T12:28:47.989Z"
}Updated project folder
Delete a project folder
Deleted items can be restored from the trash in the Condens app for up to 30 days.
Path Parameters
- Type: stringidrequired
Responses
- 204
Deleted
- application/json
- application/json
- application/json
- application/json
- application/json
curl 'https://api.condens.io/v1/projectFolders/{id}' \
--request DELETE \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
Deleted
List sessions
Query Parameters
- Type: stringproject
Id required - Type: stringworkspace
Id - Type:pagemin:1
Page number (starting at 1).
- Type:page
Size min:1max:100Number of items per page.
- Type: stringfilter
JSON-encoded filter object
- Type: stringsort
Sort items by name or information field value.
Sort order: prefix with '-' for descending, omit for ascending.
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
curl 'https://api.condens.io/v1/sessions?projectId=&page=1&pageSize=100&sort=name' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"page": 1,
"pageSize": 100,
"total": 0,
"totalPages": 0,
"hasNext": true,
"items": [
{
"id": "string",
"name": "",
"projectId": "string",
"workspaceId": "string",
"processed": true,
"informationFields": [
{
"fieldName": "string",
"fieldType": "text",
"value": "string"
}
],
"updatedAt": "2026-10-01T12:28:47.989Z"
}
]
}Sessions page
Create a session
Body·
- Type: stringnamerequired
- Type: stringproject
Id required - Properties: 3Type: { sourceUrl, name, sourceAuth }attachments
- Type:information
Fields - Properties: 5Type: { sourceUrl, anonymization, name, +2 }media
- Properties: 3Type: { content, name, type }note
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
curl https://api.condens.io/v1/sessions \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"name": "",
"projectId": "",
"informationFields": [
{
"fieldName": "",
"fieldType": "text",
"value": ""
}
],
"media": {
"name": "",
"sourceUrl": "",
"sourceAuth": {
"type": "bearer",
"token": ""
},
"transcription": {
"languages": [
"af-ZA"
],
"numberOfSpeakers": 2,
"generateBookmarks": false
},
"anonymization": {
"blurMode": "video",
"anonymizeAudio": false
}
},
"note": {
"name": "",
"content": "",
"type": "plain"
},
"attachments": [
{
"sourceUrl": "",
"sourceAuth": {
"type": "bearer",
"token": ""
},
"name": ""
}
]
}'
{
"id": "string",
"name": "",
"projectId": "string",
"workspaceId": "string",
"processed": true,
"informationFields": [
{
"fieldName": "string",
"fieldType": "text",
"value": "string"
}
],
"attachments": [
{
"name": "string"
}
],
"updatedAt": "2026-10-01T12:28:47.989Z",
"failedUploadUrls": [
"https://example.com"
]
}Created session
Get a session
Path Parameters
- Type: stringidrequired
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
curl 'https://api.condens.io/v1/sessions/{id}' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"id": "string",
"name": "",
"projectId": "string",
"workspaceId": "string",
"processed": true,
"informationFields": [
{
"fieldName": "string",
"fieldType": "text",
"value": "string"
}
],
"attachments": [
{
"name": "string"
}
],
"updatedAt": "2026-10-01T12:28:47.989Z",
"failedUploadUrls": [
"https://example.com"
]
}Session
Update a session
Path Parameters
- Type: stringidrequired
Body·
- Properties: 3Type: { sourceUrl, name, sourceAuth }attachments
- Type:information
Fields - Properties: 5Type: { sourceUrl, anonymization, name, +2 }media
- Type: stringname
- Properties: 3Type: { content, name, type }note
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
curl 'https://api.condens.io/v1/sessions/{id}' \
--request PATCH \
--header 'Content-Type: application/merge-patch+json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"name": "",
"informationFields": [
{
"fieldName": "",
"fieldType": "text",
"value": ""
}
],
"media": {
"name": "",
"sourceUrl": "",
"sourceAuth": {
"type": "bearer",
"token": ""
},
"transcription": {
"languages": [
"af-ZA"
],
"numberOfSpeakers": 2,
"generateBookmarks": false
},
"anonymization": {
"blurMode": "video",
"anonymizeAudio": false
}
},
"note": {
"name": "",
"content": "",
"type": "plain"
},
"attachments": [
{
"sourceUrl": "",
"sourceAuth": {
"type": "bearer",
"token": ""
},
"name": ""
}
]
}'
{
"id": "string",
"name": "",
"projectId": "string",
"workspaceId": "string",
"processed": true,
"informationFields": [
{
"fieldName": "string",
"fieldType": "text",
"value": "string"
}
],
"attachments": [
{
"name": "string"
}
],
"updatedAt": "2026-10-01T12:28:47.989Z",
"failedUploadUrls": [
"https://example.com"
]
}Updated session
Delete a Session
Deleted items can be restored from the trash in the Condens app for up to 30 days.
Path Parameters
- Type: stringidrequired
Responses
- 204
Deleted
- application/json
- application/json
- application/json
- application/json
- application/json
curl 'https://api.condens.io/v1/sessions/{id}' \
--request DELETE \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
Deleted
List artifacts
Query Parameters
- Type: stringproject
Id required - Type: stringworkspace
Id - Type: stringtypemin length:1
Optionally filter artifacts by type.
- Type:pagemin:1
Page number (starting at 1).
- Type:page
Size min:1max:100Number of items per page.
- Type: stringfilter
JSON-encoded filter object
- Type: stringsort
Sort items by name or information field value.
Sort order: prefix with '-' for descending, omit for ascending.
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
curl 'https://api.condens.io/v1/artifacts?projectId=&page=1&pageSize=100&sort=name' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"page": 1,
"pageSize": 100,
"total": 0,
"totalPages": 0,
"hasNext": true,
"items": [
{
"id": "string",
"name": "",
"coverImageUrl": null,
"projectId": "string",
"workspaceId": "string",
"summary": "",
"isPublished": true,
"type": "string",
"informationFields": [
{
"fieldName": "string",
"fieldType": "text",
"value": "string"
}
],
"updatedAt": "2026-10-01T12:28:47.989Z"
}
]
}Artifacts page
Update an artifact
Update values of existing information fields for this artifact's type. Field names are matched ignoring case and surrounding whitespace. Unknown fields and mismatched field types return 400. Fields omitted from the request remain unchanged. This endpoint does not create field definitions or update artifact content.
Path Parameters
- Type: stringidrequired
Body·
- Type:information
Fields required
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
curl 'https://api.condens.io/v1/artifacts/{id}' \
--request PATCH \
--header 'Content-Type: application/merge-patch+json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"informationFields": [
{
"fieldName": "",
"fieldType": "text",
"value": ""
}
]
}'
{
"id": "string",
"name": "",
"coverImageUrl": null,
"projectId": "string",
"workspaceId": "string",
"summary": "",
"isPublished": true,
"type": "string",
"informationFields": [
{
"fieldName": "string",
"fieldType": "text",
"value": "string"
}
],
"updatedAt": "2026-10-01T12:28:47.989Z"
}Updated artifact

